python2-matplotlib-gtk3-2.2.3-3.1.x86_64.rpm


Advertisement

Description

python2-matplotlib-gtk3 - GTK3 backends for python2-matplotlib

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-matplotlib-gtk3-2.2.3-3.1.x86_64.rpm
Package name python2-matplotlib-gtk3
Package version 2.2.3
Package release 3.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/Python
Homepage http://matplotlib.org
License BSD-2-Clause
Maintainer -
Download size 51.22 KB
Installed size 123.28 KB
This package includes the GTK3-based gtk3, gtk3agg, and
gtk3cairo backends for the python2-matplotlib plotting package

Alternatives

Package Version Architecture Repository
python2-matplotlib-gtk3-2.2.3-3.1.i586.rpm 2.2.3 i586 openSUSE Oss
python2-matplotlib-gtk3 - - -

Requires

Name Value
python(abi) = 2.7
python-gobject -
python2-matplotlib = 2.2.3
python2-matplotlib-cairo = 2.2.3

Provides

Name Value
python2-matplotlib-gtk3 = 2.2.3-3.1
python2-matplotlib-gtk3(x86-64) = 2.2.3-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-matplotlib-gtk3-2.2.3-3.1.x86_64.rpm
Source Package python2-matplotlib-2.2.3-3.1.src.rpm

Install Howto

Install python2-matplotlib-gtk3 rpm package:

# zypper install python2-matplotlib-gtk3

Files

Path
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3.py
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3.pyc
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3.pyo
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3agg.py
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3agg.pyc
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3agg.pyo
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3cairo.py
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3cairo.pyc
/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_gtk3cairo.pyo
/usr/share/licenses/python2-matplotlib-gtk3/license.rst
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE.PIL
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_AMSFONTS
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_BAKOMA
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_COLORBREWER
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_CONDA
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_JQUERY
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_QT4_EDITOR
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_STIX
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_YORICK
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/LICENSE_enthought.txt
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/Solarized.txt
/usr/share/licenses/python2-matplotlib-gtk3/LICENSE/pnpoly.license

Changelog

2019-02-27 - Fabian Vogt <fvogt@suse.com>
- Disable Qt4 support on Tumbleweed by default
2018-10-08 - Todd R <toddrme2178@gmail.com>
- Provide python-matplotlib for backwards-compatibility.
2018-09-19 - Todd R <toddrme2178@gmail.com>
- Create python2-only version.  Starting with matplotlib 3.0,
Python 2 support has been dropped.
2018-08-14 - toddrme2178@gmail.com
- Update to version 2.2.3
* Fix import failure on BSD systems
* Fix import errors in Qt shims for PyQt5 5.11 and PyQt4 4.12
* Fix import errors if bz2 module is not in standard library
* Fix overflow in _path.h
* Fix infinite recursion in transform repr
* Fix bug with XKCD style
* Remove unsafe usage of Popen
2018-06-02 - hpj@urpla.net
- don't use any lua expressions for suse_version < 1500
2018-06-01 - dimstar@opensuse.org
- Only recommend python-matplotlib-tk if tk is already flagged for
installation. On most systems there is no reason to have tk
available (those UIs are out of date and not well perceived
anyway).
2018-05-15 - tbechtold@suse.com
- Add missing Requires for python-backports.functools_lru_cache (boo#1074491)
2018-05-10 - toddrme2178@gmail.com
- Fix building on SLE which doesn't have qhull.
2018-03-17 - arun@gmx.de
- update to version 2.2.2:
* v2.2.1 did not actually restore matplotlib.verbose.
- changes from version 2.2.1:
* This release fixes a number of critical bugs:
+ restores matplotlib.verbose (fixing embedding in pycharm)
+ preserve precision when color mapping small portions of data
with extreme outliers
+ fixes saving long movies with ffmpeg
+ fixes UnbourdLocal error in contour labeling
+ fixes import failure on python 3.4.0 and 3.4.1
+ fixes compile time failures with clang on 32bit platforms
+ fixes an icon in the Tk backends
+ fixes several issues with Tables
+ fixes expanding offset boxes with tight_layout
+ revert changes to the font caching to avoid a possible bug in
backports.lru_cache
+ numerous docstring and documentation fixes
* We have reverted the deprecation of `font_manager.TempCache`.
2018-03-08 - arun@gmx.de
- specfile:
* require kiwisolver
* update required version for dateutil
- update to version 2.2.0:
* The first release of the v2.2 LTS series and the last version of
Matplotlib to support python2.  There will be bug-fix release for
this series until 2020.
* This release includes new features including:
+ An experimental constrained layout manager
+ Color blind friendly color map (cividis) and color cycle
(tableau-colorblind10)
+ native support for numpy.datetime64 types
+ animated gif writing via pillow
+ TkAgg now works with pypy
+ cairo based backends for Qt, Tk, and WX
* There are several API changes in this release:
+ To support the constrained layout Matplotlib has a new required
dependency (kiwisolver).
+ The `matplotlib.finance` module has been removed, development
has moved to a stand-alone project.

See Also

Package Description
python2-matplotlib-latex-2.2.3-3.1.i586.rpm Allow rendering latex in python2-matplotlib
python2-matplotlib-latex-2.2.3-3.1.x86_64.rpm Allow rendering latex in python2-matplotlib
python2-matplotlib-qt-shared-2.2.3-3.1.i586.rpm Shared files for the Qt backends for python2-matplotlib
python2-matplotlib-qt-shared-2.2.3-3.1.x86_64.rpm Shared files for the Qt backends for python2-matplotlib
python2-matplotlib-qt5-2.2.3-3.1.i586.rpm Qt5 backend for python2-matplotlib
python2-matplotlib-qt5-2.2.3-3.1.x86_64.rpm Qt5 backend for python2-matplotlib
python2-matplotlib-tk-2.2.3-3.1.i586.rpm Tk backend for python2-matplotlib
python2-matplotlib-tk-2.2.3-3.1.x86_64.rpm Tk backend for python2-matplotlib
python2-matplotlib-web-2.2.3-3.1.i586.rpm Web backend for python2-matplotlib
python2-matplotlib-web-2.2.3-3.1.x86_64.rpm Web backend for python2-matplotlib
python2-matplotlib-wx-2.2.3-3.1.i586.rpm WxWidgets backend for python2-matplotlib
python2-matplotlib-wx-2.2.3-3.1.x86_64.rpm WxWidgets backend for python2-matplotlib
python2-matrix-synapse-0.34.1.1-2.1.noarch.rpm Matrix protocol reference homeserver
python2-matrix-synapse-ldap3-0.1.2-1.3.noarch.rpm An LDAP3 auth provider for Synapse
python2-maxminddb-1.4.1-1.2.i586.rpm Reader for the MaxMind DB format
Advertisement
Advertisement